# gcp::Plugin Class Reference

Class for GChemPaint plugins. More...

`#include <gcp/plugin.h>`

List of all members.

## Public Member Functions

| Plugin ()
virtual | ~Plugin ()
virtual void | Populate (Application *App)

## Static Public Member Functions

static void | LoadPlugins ()

## Detailed Description

Class for GChemPaint plugins.

Every plugin should implement a new Plugin class derived from this one and create a unique static instance of the new class. The base class constructor will register the plugin. Such plugins are loaded on program startup.

Definition at line 44 of file plugin.h.

## Constructor & Destructor Documentation

gcp::Plugin::Plugin | ( |  | ) |

The default constructor. Adds the new plugin to gcp::Plugins.

virtual gcp::Plugin::~Plugin | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

static void gcp::Plugin::LoadPlugins | ( |  | ) | `[static]`

Loads plugins from the GChemPaint plugin directory stored in the PLUGINSDIR variable.

virtual void gcp::Plugin::Populate | ( | Application * | App | ) | `[virtual]`

Parameters:

  | App | the GChemPaint application.

Called by the framework so that the plugin can add new UI elements to the application.

The documentation for this class was generated from the following file:

- plugin.h